Loading...
Searching...
No Matches
ON_Box Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_box.h>`

## Public Member Functions

| ON_Box ()
| ON_Box (const ON_BoundingBox &bbox)
| ~ON_Box ()
bool | IsValid () const
bool | Create (const ON_BoundingBox &bbox)
void | Destroy ()
ON_3dPoint | Center () const
bool | GetCorners (ON_3dPoint *corners) const
bool | GetCorners (ON_SimpleArray< ON_3dPoint > &corners) const
ON_BoundingBox | BoundingBox () const
ON_3dPoint | PointAt (double r, double s, double t) const
bool | ClosestPointTo (ON_3dPoint point, double *r, double *s, double *t) const
ON_3dPoint | ClosestPointTo (ON_3dPoint test_point) const
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation)
bool | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Rotate (double angle_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Translate (const ON_3dVector &)
bool | Transform (const ON_Xform &)
int | IsDegenerate (double tolerance=ON_UNSET_VALUE) const
double | Volume () const
double | Area () const

## Public Attributes

ON_Plane | plane
ON_Interval | dx
ON_Interval | dy
ON_Interval | dz

## Detailed Description

Definition at line 20 of file opennurbs_box.h.

## Constructor & Destructor Documentation

## ON_Box() [1/2]

ON_Box::ON_Box | ( |  | ) |

## ON_Box() [2/2]

ON_Box::ON_Box | ( | const ON_BoundingBox & | bbox | ) |

## ~ON_Box()

ON_Box::~ON_Box | ( |  | ) |

## Member Function Documentation

## Area()

double ON_Box::Area | ( |  | ) | const

## BoundingBox()

ON_BoundingBox ON_Box::BoundingBox | ( |  | ) | const

## Center()

ON_3dPoint ON_Box::Center | ( |  | ) | const

## ClosestPointTo() [1/2]

bool ON_Box::ClosestPointTo | ( | ON_3dPoint | point,
|  | double * | r,
|  | double * | s,
|  | double * | t ) const

## ClosestPointTo() [2/2]

ON_3dPoint ON_Box::ClosestPointTo | ( | ON_3dPoint | test_point | ) | const

## Create()

bool ON_Box::Create | ( | const ON_BoundingBox & | bbox | ) |

## Destroy()

void ON_Box::Destroy | ( |  | ) |

## GetCorners() [1/2]

bool ON_Box::GetCorners | ( | ON_3dPoint * | corners | ) | const

## GetCorners() [2/2]

bool ON_Box::GetCorners | ( | ON_SimpleArray< ON_3dPoint > & | corners | ) | const

## IsDegenerate()

int ON_Box::IsDegenerate | ( | double | tolerance = ON_UNSET_VALUE | ) | const

## IsValid()

bool ON_Box::IsValid | ( |  | ) | const

## PointAt()

ON_3dPoint ON_Box::PointAt | ( | double | r,
|  | double | s,
|  | double | t ) const

## Rotate() [1/4]

bool ON_Box::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation )

## Rotate() [2/4]

bool ON_Box::Rotate | ( | double | angle_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation )

## Rotate() [3/4]

bool ON_Box::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation )

## Rotate() [4/4]

bool ON_Box::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation )

## Transform()

bool ON_Box::Transform | ( | const ON_Xform & |  | ) |

## Translate()

bool ON_Box::Translate | ( | const ON_3dVector & |  | ) |

## Volume()

double ON_Box::Volume | ( |  | ) | const

## Member Data Documentation

## dx

ON_Interval ON_Box::dx

Definition at line 25 of file opennurbs_box.h.

## dy

ON_Interval ON_Box::dy

Definition at line 26 of file opennurbs_box.h.

## dz

ON_Interval ON_Box::dz

Definition at line 27 of file opennurbs_box.h.

## plane

ON_Plane ON_Box::plane

Definition at line 23 of file opennurbs_box.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_box.h